#ifndef SENSORFACTORYDUMMY_H
#define SENSORFACTORYDUMMY_H

#include "../SensorFactory.h"

#include "WiFiSensorDummy.h"
#include "AccelerometerSensorDummy.h"
#include "GyroscopeSensorDummy.h"
#include "BarometerSensorDummy.h"

/**
 * sensor factory that provides sensors that fire dummy data
 */
class SensorFactoryDummy : public SensorFactory {

public:

	WiFiSensor& getWiFi() override {
		return WiFiSensorDummy::get();
	}

	AccelerometerSensor& getAccelerometer() override {
		return AccelerometerSensorDummy::get();
	}

	GyroscopeSensor& getGyroscope() override {
		return GyroscopeSensorDummy::get();
	}

	BarometerSensor& getBarometer() override {
		return BarometerSensorDummy::get();
	}

};

#endif // SENSORFACTORYDUMMY_H
